Skip to main content
GET
Get address details

Authorizations

X-API-KEY
string
header
required

Authorization method required to allow user to access the api endpoints.

Query Parameters

network
string
required

Network of Address

Example:

"ethereum"

address
string
required

Address to search

Example:

"0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"

Response

200 - application/json

Address Information as an array with one item per network

address
string
required
Example:

"starsvaloper1t6l7yrrnug8duw3fmjy8xq0p0ln377mrc2rezc"

network
string
required
Example:

"stargaze-1"

malicious
boolean
required
Example:

false

is_validator
boolean
required
Example:

true

name_tag
string
Example:

"ch0pch0pNFT"

category
string
Example:

"account"

address_role
string
Example:

""

entity
string
Example:

""

entity_name
string
attributes
object
tags
string[]
Example:
entity_icon_url
string | null

Icon URL for the attributed entity. Null when the label has no icon.

Example:

"https://icons.range.org/icons/1704.webp"

ecosystem
string